/*
 * led.c
 *
 *  Created on: 24.03.2018
 *      Author: Rafa
 */

#include "stm32f0xx_hal.h"

#include "led.h"

void led_write(uint8_t i, GPIO_PinState PinState)
{
	GPIO_TypeDef* GPIO;
	uint16_t GPIO_Pin;

	switch(i) {
	case 0:
		GPIO = GPIOA;
		GPIO_Pin = GPIO_PIN_14;
		break;
	case 1:
		GPIO = GPIOA;
		GPIO_Pin = GPIO_PIN_13;
		break;
	case 2:
		GPIO = GPIOF;
		GPIO_Pin = GPIO_PIN_1;
		break;
	case 3:
		GPIO = GPIOF;
		GPIO_Pin = GPIO_PIN_0;
		break;
	case 4:
		GPIO = GPIOA;
		GPIO_Pin = GPIO_PIN_2;
		break;
	default:
		return;
	}

	HAL_GPIO_WritePin(GPIO, GPIO_Pin, PinState);
}
